onlineMeeting resource type
Namespace: microsoft.graph
Contains information about a meeting, including the URL used to join a meeting, the attendees list, and the description.
Methods
| Method | Return Type | Description |
|---|---|---|
| Create onlineMeeting | onlineMeeting | Create an online meeting. |
| Get onlineMeeting | onlineMeeting | Read the properties and relationships of an onlineMeeting object. |
| Update | onlineMeeting | Update the properties of an onlineMeeting object. |
| Delete onlineMeeting | None | Delete an onlineMeeting object. |
| Create or get onlineMeeting | onlineMeeting | Create an onlineMeeting object with a custom, external ID. If the meeting already exists, retrieve its properties. |
Properties
| Property | Type | Description |
|---|---|---|
| allowedPresenters | onlineMeetingPresenters | Specifies who can be a presenter in a meeting. Possible values are listed in the following table. |
| allowAttendeeToEnableCamera | Boolean | Indicates whether attendees can turn on their camera. |
| allowAttendeeToEnableMic | Boolean | Indicates whether attendees can turn on their microphone. |
| allowMeetingChat | meetingChatMode | Specifies the mode of meeting chat. |
| allowTeamworkReactions | Boolean | Indicates whether Teams reactions are enabled for the meeting. |
| attendeeReport | Stream | The content stream of the attendee report of a Microsoft Teams live event. Read-only. |
| audioConferencing | audioConferencing | The phone access (dial-in) information for an online meeting. Read-only. |
| broadcastSettings | broadcastMeetingSettings | Settings related to a live event. |
| chatInfo | chatInfo | The chat information associated with this online meeting. |
| creationDateTime | DateTime | The meeting creation time in UTC. Read-only. |
| endDateTime | DateTime | The meeting end time in UTC. |
| id | String | The default ID associated with the online meeting. Read-only. |
| isBroadcast | Boolean | Indicates if this is a Teams live event. |
| isEntryExitAnnounced | Boolean | Indicates whether to announce when callers join or leave. |
| joinInformation | itemBody | The join information in the language and locale variant specified in the Accept-Language request HTTP header. Read-only. |
| joinWebUrl | String | The join URL of the online meeting. Read-only. |
| lobbyBypassSettings | lobbyBypassSettings | Specifies which participants can bypass the meeting lobby. |
| participants | meetingParticipants | The participants associated with the online meeting. This includes the organizer and the attendees. |
| recordAutomatically | Boolean | Indicates whether to record the meeting automatically. |
| startDateTime | DateTime | The meeting start time in UTC. |
| subject | String | The subject of the online meeting. |
| videoTeleconferenceId | String | The video teleconferencing ID. Read-only. |
onlineMeetingPresenters values
| Value | Description |
|---|---|
| everyone | Everyone is a presenter (This is default option). |
| organization | Everyone in organizer’s organization is a presenter. |
| roleIsPresenter | Only the participants whose role is presenter are presenters. |
| organizer | Only the organizer is a presenter. |
| unknownFutureValue | Unknow future value. |
Tip
When creating or updating an online meeting with allowedPresenters set to roleIsPresenter, include a full list of attendees with the specified attendees' role set to presenter in the request body.
meetingChatMode values
| Value | Description |
|---|---|
| enabled | Meeting chat is enabled. |
| disabled | Meeting chat is disabled. |
| limited | Meeting chat is enabled but only for the duration of the meeting call. |
| unknownFutureValue | Unknown future value. |
Relationships
| Relationship | Type | Description |
|---|---|---|
| attendanceReports | meetingAttendanceReport collection | The attendance reports of an online meeting. Read-only. |
JSON representation
{
"audioConferencing": {"@odata.type": "microsoft.graph.audioConferencing"},
"chatInfo": {"@odata.type": "microsoft.graph.chatInfo"},
"creationDateTime": "String (timestamp)",
"endDateTime": "String (timestamp)",
"id": "String (identifier)",
"joinWebUrl": "String",
"participants": {"@odata.type": "microsoft.graph.meetingParticipants"},
"startDateTime": "String (timestamp)",
"subject": "String",
"videoTeleconferenceId": "String",
"isEntryExitAnnounced": "Boolean",
"lobbyBypassSettings": {"@odata.type": "microsoft.graph.lobbyBypassSettings"},
"allowedPresenters": "String",
"isBroadcast": "Boolean",
"broadcastSettings": {"@odata.type": "microsoft.graph.broadcastSettings"},
"allowMeetingChat": {"@odata.type": "microsoft.graph.meetingChatMode"},
"allowTeamworkReactions": "Boolean",
"allowAttendeeToEnableMic": "Boolean",
"allowAttendeeToEnableCamera": "Boolean"
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk